/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.model;

import java.util.UUID;

import javax.persistence.Entity;
import javax.persistence.Id;

@Entity
public class KundeUUID {

	@Id
	private String id;
	private String vorname;
	private String nachname;
	
	
	public KundeUUID() {
		this.id = UUID.randomUUID().toString();
	}
	
	public KundeUUID(String vorname, String nachname) {
		this.id = UUID.randomUUID().toString();
		this.vorname = vorname;
		this.nachname = nachname;
	}
	

	public String getId() {
		return id;
	}

	public String getVorname() {
		return vorname;
	}
	public void setVorname(String vorname) {
		this.vorname = vorname;
	}
	
	public String getNachname() {
		return nachname;
	}
	public void setNachname(String nachname) {
		this.nachname = nachname;
	}
	
	
}
