/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.KundeUUID;

public class TestUUID {

	public static void main(String[] args) {
		
		Provider.select("eclipselink");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank");
		EntityManager em = emf.createEntityManager();

		em.getTransaction().begin();
		
		KundeUUID kunde = new KundeUUID("Max", "Mustermann");
		String pk = kunde.getId();
		em.persist(kunde);
		
		kunde = new KundeUUID("Paul", "Panzer");
		em.persist(kunde);
		
		KundeUUID k2= em.find(KundeUUID.class, pk);
		System.out.println("Kunde " + k2.getNachname() + " geladen");
		
        em.getTransaction().commit();
		
		em.clear();
		emf.close();
	}
}
